Bug 658259 (CVE-2010-4253) - CVE-2010-4253 OpenOffice.org: heap based buffer overflow in PPT import
Summary: CVE-2010-4253 OpenOffice.org: heap based buffer overflow in PPT import
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-4253
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,source=redhat,report...
Depends On: 642184 642185 642200 642201 804532
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-29 20:00 UTC by Marc Schoenefeld
Modified: 2019-06-08 18:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-21 09:32:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0182 normal SHIPPED_LIVE Important: openoffice.org security update 2011-01-28 13:02:13 UTC
Red Hat Product Errata RHSA-2011:0183 normal SHIPPED_LIVE Important: openoffice.org security and bug fix update 2011-01-28 15:24:30 UTC

Description Marc Schoenefeld 2010-11-29 20:00:17 UTC
Marc Schoenefeld discovered a heap based buffer overflow in
OpenOffice.org 3.X, when imported certain Microsoft PowerPoint
files (PPT). If a user opened a specially crafted PPT file,
it could lead to applicable crash or possibly execution of
arbitrary code,  with the privileges of the user running
OpenOffice.org Impress.


This has been assigned CVE-2010-4253

Comment 5 Huzaifa S. Sidhpurwala 2011-01-27 03:52:52 UTC
Public via:
http://www.openoffice.org/security/cves/CVE-2010-4253.html

Comment 6 errata-xmlrpc 2011-01-28 13:02:28 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0182 https://rhn.redhat.com/errata/RHSA-2011-0182.html

Comment 7 errata-xmlrpc 2011-01-28 15:24:54 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0183 https://rhn.redhat.com/errata/RHSA-2011-0183.html


Note You need to log in before you can comment on or make changes to this bug.